org.apache.lucene.luke.app.desktop

## Enum Preferences.ColorTheme

- java.lang.Object
- - java.lang.Enum<Preferences.ColorTheme>
  - - org.apache.lucene.luke.app.desktop.Preferences.ColorTheme

All Implemented Interfaces:
  Serializable, Comparable<Preferences.ColorTheme>

Enclosing interface:
  Preferences

    public static enum Preferences.ColorTheme
    extends Enum<Preferences.ColorTheme>

color themes

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLASSIC`
`GRAY`
`NAVY`
`SANDSTONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Color` `getBackgroundColor()`
`static Preferences.ColorTheme` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Preferences.ColorTheme[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GRAY

    public static final Preferences.ColorTheme GRAY

#### CLASSIC

    public static final Preferences.ColorTheme CLASSIC

#### SANDSTONE

    public static final Preferences.ColorTheme SANDSTONE

#### NAVY

    public static final Preferences.ColorTheme NAVY

### Method Detail

#### values

    public static Preferences.ColorTheme[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Preferences.ColorTheme c : Preferences.ColorTheme.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Preferences.ColorTheme valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getBackgroundColor

    public Color getBackgroundColor()